<?php

  class mw_observer_actions_logs{

    var $config;

    function init_actions_logs(&$env){
      $data = $env->data();
      if(($this->config = $data->get_actions_logs_config()) === false) return false;
      return true;
    }

    function before_action(&$env){
      $data = $env->data();
      $user = $env->user();
      if(!isset($this->config)) $this->init_actions_logs($env);
      if($this->config && $this->config["do_log"]){
        if(($logs_actions = $data->list_logs_actions(array("index_name" => "action"))) !== false){
          $logs_actions = $logs_actions["list"];
        }
        else return;
        $log = false;
        $current_action = $env->etat("mod")."/".$env->etat("controller")."/".$env->etat("action");
        if($this->config["default_log"]){
          if(!isset($logs_actions[$current_action])){
            $log = array(
              "action" => $current_action,
              "login" => $user ? $user["login"] : "",
              "from_ip" => isset($_SERVER["REMOTE_ADDR"]) ? $_SERVER["REMOTE_ADDR"] : "",
              "get" => $this->config["default_log_get"] ? serialize($_GET) : null,
              "post" => $this->config["default_log_post"] ? serialize($_POST) : null
            );
          }
        }
        else{
          if(isset($logs_actions[$current_action])){
            $log = array(
              "action" => $current_action,
              "login" => $user ? $user["login"] : "",
              "from_ip" => isset($_SERVER["REMOTE_ADDR"]) ? $_SERVER["REMOTE_ADDR"] : "",
              "get" => $logs_actions[$current_action]["log_get"] ? serialize($_GET) : null,
              "post" => $logs_actions[$current_action]["log_post"] ? serialize($_POST) : null
            );
          }
        }
        if($log) $data->add_action_log($log);
      }
    }

    function after_action(&$env){
    }

  }

?>