<h2>Liste des actions</h2>

<ul class="buttons">
  <li><a class="add" href="<?php echo $this->url("config/actions_logs/add_log_action"); ?>">Ajouter une action dans la liste</a></li>
  <li><a href="<?php echo $this->url("config/actions_logs/del_logs_actions"); ?>"
       class="del"
       onclick="return confirm('Vider la liste ?')">Vider la liste <img src="<?php echo $this->out_url("icons/del.gif"); ?>"/></a></li>
</ul>

<p>
  <a href="<?php echo $this->url("config/actions_logs/config"); ?>"><strong>Configuration actuelle</strong></a> :
</p>
<p>
  <?php if($this->out["actions_logs_config"]["default_log"]) : ?>
  enregistrer un historique pour chaque action,
  <?php else : ?>
  n'enregistrer un historique pour aucune action,
  <?php endif; ?>
  sauf si l'action est dans cette liste.
</p>

<?php if($this->out["logs_actions"]["list"]) : ?>

<form name="logs_actions_form" action="<?php echo $this->url("config/actions_logs/logs_actions"); ?>" method="post">

  <fieldset>
    <table class="admin" id="logs_actions" <?php echo $this->out["logs_actions"] ? "" : "style=\"display: none\""; ?>>
      <tr>
        <th>Action</th>
        <?php if(!$this->out["actions_logs_config"]["default_log"]) : ?>
        <th width="65" align="center"><span class="<?php echo $default_log_class; ?>">GET</span></th>
        <th width="65" align="center"><span class="<?php echo $default_log_class; ?>">POST</span></th>
        <?php endif; ?>
        <th>Enlever</th>
      </tr>
      <?php foreach($this->out["logs_actions"]["list"] as $id_log_action => $log_action) : ?>
      <?php $default_log_class = "default_log_".($this->out["actions_logs_config"]["default_log"] ? "on" : "off"); ?>
      <tr id="log_action_<?php echo $log_action["id"]; ?>" class="hl">
        <td>
          <?php echo $log_action["action"]; ?>
          <input type="hidden" name="id_log_action_<?php echo $log_action["id"]; ?>" value="<?php echo $log_action["id"]; ?>" />
        </td>
        <?php if(!$this->out["actions_logs_config"]["default_log"]) : ?>
        <td align="center">
          <span class="<?php echo $default_log_class; ?>">
            <input type="checkbox" name="log_get_<?php echo $log_action["id"]; ?>" <?php echo $log_action["log_get"] ? "checked" : ""; ?> />
          </span> 
        </td>
        <td align="center">
          <span class="<?php echo $default_log_class; ?>">
            <input type="checkbox" name="log_post_<?php echo $log_action["id"]; ?>" <?php echo $log_action["log_post"] ? "checked" : ""; ?> />
          </span>
        </td>
        <?php endif; ?>
        <td align="center">
          <a href="<?php echo $this->url("config/actions_logs/del_log_action", array("id" => $log_action["id"])); ?>"
             class="admin_link del_action"
             id="del_action_<?php echo $log_action["id"]; ?>"
             title="Enlever cette action de la liste"><img src="<?php echo $this->out_url("icons/del.gif"); ?>"/></a>
        </td>
      </tr>
      <?php endforeach; ?>
    </table>
    <?php if(!$this->out["actions_logs_config"]["default_log"]) : ?>
    <ul>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Enregistrer les modifications" />
        </div>
      </li>
    </ul>
    <?php endif; ?>
  </fieldset>

</form>

<?php else : ?>
<p>Aucune action listée pour le moment.</p>
<?php endif; ?>